Bug 7002 - multilib support
: multilib support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/postgresql8.0)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-03 17:19 by
Modified: 2005-07-13 18:05 (History)


Attachments
mutlilib support (1.33 KB, patch)
2005-06-03 17:28, Kachalov Anton
no flags Details | Diff
ещё немного патчей (3.60 KB, application/octet-stream)
2005-07-13 18:05, Kachalov Anton
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-03 17:19:04
multilib support
------- Comment #1 From 2005-06-03 17:28:38 -------
Created an attachment (id=916) [details]
mutlilib support
------- Comment #2 From 2005-06-04 20:23:04 -------
8.x это не ко мне
------- Comment #3 From 2005-06-05 10:11:31 -------
Этот патч точно работает нормально?..

У меня нет возможности его проверить, так что закину так!
------- Comment #4 From 2005-06-05 10:50:39 -------
скажу большее, pgsql8.0 в сизифе малость нерабочий.
# service postgresql start
Adjusting environment for postgresql:                                   [ DONE
]
Starting postgresql service:                                           
[FAILED]

и ещё, id группы psqluser всё же должна быть ниже 500.
------- Comment #5 From 2005-06-05 12:10:35 -------
Ну у меня работает, так что ничем не могу помочь... :(

Про GID - предлагайте номер... мне эта фича вообще не нужна, так что я не
собираюсь перебирать все пакеты.
------- Comment #6 From 2005-06-05 13:04:41 -------
Иван, дело не в номере, man groupadd на предмет ключа -r, блин

Антон, можешь провести расследование на предмет что там не работает? У меня
есть
подозрение что это новый код, отвечающий за пересоздание passwd/groups в чруте
глючит.
------- Comment #7 From 2005-06-05 19:54:31 -------
2ns: насчёт "у меня работает". Маленький хинт - поставить pgsql либо в чрут
хэшеровский и там попробовать запустить, либо поставить на систему, где никогда
не было pgsql.

2mithraen: он самый. там какая-то магия была с пользователями, входящими в
группу psqluser. Но даже после запуска у меня были проблемы с созданием базы.
createdb говорил, что не может "rm -rf какая-то директория" и отваливался.
------- Comment #8 From 2005-06-05 20:24:26 -------
По поводу первого -- сама эта волшебная группа создана? Насколько я помню ns@
ленится создавать группу psqluser в %post. Если дело действительно в этом,
вешай
блок-баг с CC мне. Я так чувствую что скоро сам займусь 8.* серьёзно.

По поводу второго -- что будет есть ручками скопировать в чрут ld-linux.so.2?
Мне говорили что с этим у нас какая-то грабля, есть подозрение что дело в этом.
------- Comment #9 From 2005-07-12 15:19:39 -------
NMU: postgresql8.0-8.0.8-alt2.1
зафиксил %ROOT/lib
------- Comment #10 From 2005-07-12 15:38:54 -------
and fixed chroot scripts
------- Comment #11 From 2005-07-13 18:05:26 -------
Created an attachment (id=986) [details]
ещё немного патчей